# Class DataTree.ZxidDigest

java.lang.Object
org.apache.zookeeper.server.DataTree.ZxidDigest

Enclosing class:
  `DataTree`

public class DataTree.ZxidDigest extends Object
A helper class to maintain the digest meta associated with specific zxid.

## Method Summary

Modifier and Type
Method
Description
`void`
`deserialize(InputArchive ia)`
`long`
`getDigest()`
`int`
`getDigestVersion()`
`long`
`getZxid()`
`void`
`serialize(OutputArchive oa)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### serialize

public void serialize(OutputArchive oa) throws IOException

Throws:
  `IOException`

### deserialize

public void deserialize(InputArchive ia) throws IOException

Throws:
  `IOException`

### getZxid

public long getZxid()

### getDigestVersion

public int getDigestVersion()

### getDigest

public long getDigest()